(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 11.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1064,         20]
NotebookDataLength[     10017,        229]
NotebookOptionsPosition[     10478,        221]
NotebookOutlinePosition[     10913,        240]
CellTagsIndexPosition[     10870,        237]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "Mechanical Properties of Materials\n",
 StyleBox["Katherine Yang, Qingchang Liu, Baoxing Xu \nUniversity of \
Virginia, 2018-02-03",
  FontSize->16,
  FontColor->GrayLevel[0]]
}], "Title",
 TextAlignment->Center,
 ExpressionUUID -> "1f0b3856-036c-4559-ac86-a359a58bd3e2"],

Cell["\<\
Mechanical Properties of Materials - Chapter 3.1 to 3.4 
The first diagram depicts the control force bar. 
The second second depicts how length affects the total change in length when \
a force is applied.
The third diagram depicts how a change in area affects the total change in \
length when a force is applied.

The first graph shows the three diagrams of when a force is applied. The \
equation is \[EmptyUpTriangle]l = Fl/AE. 
The second graph depicts \[Sigma]=Ee. \
\>", "Text",
 ExpressionUUID -> "50edfe98-c88f-49cd-b9d2-e658b33bf322"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`f$$ = 15, $CellContext`h2$$ = 
    2.2, $CellContext`l2$$ = 5, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`f$$], 15, ""}, 0, 30, 5}, {{
       Hold[$CellContext`l2$$], 5, ""}, 0, 5, 0.2}, {{
       Hold[$CellContext`h2$$], 2.2, ""}, 0, 5, 0.2}, {
      Hold[
       Grid[{{
          Text[
           Style["Parameters Setting", Bold, Medium]], SpanFromLeft}, {
         "Force", 
          Manipulate`Place[1]}, {"Length", 
          Manipulate`Place[2]}, {"Height", 
          Manipulate`Place[3]}}, Spacings -> {0, {0, 9, 13, 13}}]], 
      Manipulate`Dump`ThisIsNotAControl}}, Typeset`size$$ = {
    884., {279.5, 285.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`f$6425$$ = 
    0, $CellContext`l2$6426$$ = 0, $CellContext`h2$6427$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     2, StandardForm, 
      "Variables" :> {$CellContext`f$$ = 15, $CellContext`h2$$ = 
        2.2, $CellContext`l2$$ = 5}, "ControllerVariables" :> {
        Hold[$CellContext`f$$, $CellContext`f$6425$$, 0], 
        Hold[$CellContext`l2$$, $CellContext`l2$6426$$, 0], 
        Hold[$CellContext`h2$$, $CellContext`h2$6427$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`x$}, $CellContext`l = 10; $CellContext`w = 
         1; $CellContext`h = 
         2; $CellContext`a = $CellContext`w $CellContext`h; $CellContext`a3 = \
$CellContext`h2$$ $CellContext`w; $CellContext`c2 = \
$CellContext`l2$$/($CellContext`a $CellContext`e); $CellContext`c3 = \
$CellContext`l/($CellContext`a3 $CellContext`e); $CellContext`fw = 
         2 ($CellContext`f$$/20); $CellContext`e = 
         10; $CellContext`c = $CellContext`l/($CellContext`a $CellContext`e); \
$CellContext`delta = $CellContext`f$$/10; $CellContext`size = 
         350; $CellContext`Y = 
         Table[$CellContext`f$$ + $CellContext`i $CellContext`delta, \
{$CellContext`i, 0, 10}]; $CellContext`list = 
         Thread[{$CellContext`X, $CellContext`Y}]; $CellContext`control = \
(($CellContext`e $CellContext`a) $CellContext`x$)/$CellContext`l; \
$CellContext`pos = ($CellContext`f$$ $CellContext`l)/($CellContext`e \
$CellContext`a); $CellContext`posb = ($CellContext`f$$ \
$CellContext`l2$$)/($CellContext`e $CellContext`a); $CellContext`posc = \
($CellContext`f$$ $CellContext`l)/($CellContext`e $CellContext`a3); \
$CellContext`posd = $CellContext`f$$/$CellContext`e; $CellContext`\
\[EmptyUpTriangle]L = (($CellContext`e $CellContext`a) \
$CellContext`x$)/$CellContext`l2$$; $CellContext`\[EmptyUpTriangle]A = \
(($CellContext`e $CellContext`a3) $CellContext`x$)/$CellContext`l; \
$CellContext`la1 = (-0.5) $CellContext`l; $CellContext`la2 = 
         1.5 $CellContext`l; $CellContext`ha = (-0.5) $CellContext`h; \
$CellContext`ha2 = 
         1.5 $CellContext`h; $CellContext`lb = (-0.5) $CellContext`l; \
$CellContext`lb2 = 
         1 $CellContext`l; $CellContext`hc = (-2) $CellContext`h; \
$CellContext`hc2 = 
         3 $CellContext`h; $CellContext`X2 = $CellContext`X/$CellContext`l; \
$CellContext`Y2 = $CellContext`Y/$CellContext`a; $CellContext`list2 = 
         Thread[{$CellContext`X2, $CellContext`Y2}]; Grid[{{
            Graphics[{LightBlue, 
              Rectangle[{0, 0}, {$CellContext`l, $CellContext`h}], Black, 
              Thickness[0.005], 
              
              Arrow[{{$CellContext`l, $CellContext`h/
                 2}, {$CellContext`l + $CellContext`fw, $CellContext`h/2}}], 
              
              Arrow[{{0, $CellContext`h/2}, {-$CellContext`fw, $CellContext`h/
                 2}}], Black, 
              Text["F", {(-$CellContext`fw)/2, $CellContext`h}], 
              Text[
              "F", {$CellContext`l + $CellContext`fw/2, $CellContext`h}]}, 
             ImageSize -> $CellContext`size, 
             PlotRange -> {{$CellContext`la1, $CellContext`la2}, \
{$CellContext`ha, $CellContext`ha2}}], 
            Row[{
              Spacer[90], 
              
              Plot[{$CellContext`control, $CellContext`\[EmptyUpTriangle]L, \
$CellContext`\[EmptyUpTriangle]A}, {$CellContext`x$, 0, 20}, 
               PlotRange -> {{0, 20}, {0, 30}}, PlotLegends -> "Expressions", 
               AxesLabel -> {"\[EmptyUpTriangle]l", "F"}, Epilog -> {Red, 
                 PointSize[Large], 
                 Point[{$CellContext`pos, $CellContext`f$$}], 
                 Point[{$CellContext`posb, $CellContext`f$$}], 
                 Point[{$CellContext`posc, $CellContext`f$$}]}, 
               ImageSize -> $CellContext`size]}]}, {
            Graphics[{LightOrange, 
              Rectangle[{0, 0}, {$CellContext`l2$$, $CellContext`h}], Black, 
              Thickness[0.005], 
              
              Arrow[{{$CellContext`l2$$, $CellContext`h/
                 2}, {$CellContext`l2$$ + $CellContext`fw, $CellContext`h/
                 2}}], 
              
              Arrow[{{0, $CellContext`h/2}, {-$CellContext`fw, $CellContext`h/
                 2}}], Black, 
              Text["F", {(-$CellContext`fw)/2, $CellContext`h}], 
              Text[
              "F", {$CellContext`l2$$ + $CellContext`fw/2, $CellContext`h}]}, 
             ImageSize -> $CellContext`size, 
             PlotRange -> {{$CellContext`lb, $CellContext`lb2}, \
{$CellContext`ha, $CellContext`ha2}}]}, {
            Graphics[{LightGreen, 
              Rectangle[{0, 0}, {$CellContext`l, $CellContext`h2$$}], Black, 
              Thickness[0.005], 
              
              Arrow[{{$CellContext`l, $CellContext`h2$$/
                 2}, {$CellContext`l + $CellContext`fw, $CellContext`h2$$/
                 2}}], 
              
              Arrow[{{0, $CellContext`h2$$/
                 2}, {-$CellContext`fw, $CellContext`h2$$/2}}], Black, 
              Text["F", {(-$CellContext`fw)/2, $CellContext`h2$$}], 
              Text[
              "F", {$CellContext`l + $CellContext`fw/2, $CellContext`h2$$}]}, 
             ImageSize -> $CellContext`size, 
             PlotRange -> {{$CellContext`la1, $CellContext`la2}, \
{$CellContext`hc, $CellContext`hc2}}], 
            
            Plot[{$CellContext`x$ $CellContext`e}, {$CellContext`x$, 0, 10}, 
             PlotRange -> {{0, 10}, {0, 30}}, PlotStyle -> {Black}, 
             Epilog -> {Red, 
               PointSize[Large], 
               Point[{$CellContext`posd, $CellContext`f$$}]}, 
             AxesLabel -> {"\[EmptyUpTriangle]l/l", "F/A"}, 
             ImageSize -> $CellContext`size]}}]], 
      "Specifications" :> {{{$CellContext`f$$, 15, ""}, 0, 30, 5, Appearance -> 
         "Labeled", ImageSize -> Medium, ControlPlacement -> 
         1}, {{$CellContext`l2$$, 5, ""}, 0, 5, 0.2, Appearance -> "Labeled", 
         ImageSize -> Medium, ControlPlacement -> 
         2}, {{$CellContext`h2$$, 2.2, ""}, 0, 5, 0.2, Appearance -> 
         "Labeled", ImageSize -> Medium, ControlPlacement -> 3}, 
        Grid[{{
           Text[
            Style["Parameters Setting", Bold, Medium]], SpanFromLeft}, {
          "Force", 
           Manipulate`Place[1]}, {"Length", 
           Manipulate`Place[2]}, {"Height", 
           Manipulate`Place[3]}}, Spacings -> {0, {0, 9, 13, 13}}]}, 
      "Options" :> {ControlPlacement -> Left, Alignment -> Left}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{1240., {312., 318.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 TextAlignment->Center]
}, Open  ]]
},
WindowSize->{1920, 997},
Visible->True,
ScrollingOptions->{"VerticalScrollRange"->Fit},
ShowCellBracket->Automatic,
CellContext->Notebook,
TrackCellChangeTimes->False,
FrontEndVersion->"11.0 for Microsoft Windows (64-bit) (July 28, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1486, 35, 289, 8, 155, "Title"],
Cell[1778, 45, 554, 12, 144, "Text"],
Cell[2335, 59, 8127, 159, 647, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature OvTpKrkYJzcpBC1d821V4CQ4 *)
